<?php //include('vrsetempr.php');?>

<?php include('php_gene1.php'); ?>
<?php include('php_data1.php'); ?>
<?php include('php_session.php'); ?>
<?php include('../_cfg/config.php');?>

<div style="font-family:courier;">

<?php $tipo=$_POST['tipo']; ?>


<?php
// die('*/*/*/'.$tipo);
// if($tipo==''){$tipo=9;}  

// vrsettab0('ppto');
 
// TABLAS MAESTRAS
if($tipo==0 or $tipo==9)
{
echo '<br>';
echo 'MAESTROS : '. $cfg_empr;  

 
vrsettab0('vndd','X'); 
// vrsettab0('doce',0); 
     
     
vrsettab0('pk12',0); 
vrsettab0('blog',0); 
vrsettab0('senu',0); 
  
// include('vrsetempr.php');
// vrsettab0('',0);
vrsettab0('payt',16);
// vrsettab0('ppho',16);
// vrsettab0('ppal',16);
     
vrsettab0('arcl',18); 
vrsettab0('empr',4); 
vrsettab0('menu',6); 
vrsettab0('docu',4); 
vrsettab0('usrt',0); 
vrsettab0('user',0); 
vrsettab0('tusr',4); 
vrsettab0('stat',1);
// vrsettab0('enti',13);
vrsettab0('ppto');
vrsettab0('evnt');
vrsettab0('cong',6);
vrsettab0('acce',0); 
vrsettab0('wsap',15); 
////
  
  
vrsettab0('ipip',15);
vrsettab0('iptv',200);
  
vrsettab0('f104',3);
vrsettab0('cair',5);
vrsettab0('civa',0);
vrsettab0('cice',0);
// vrsettab0('item',13);
vrsettab0('ctas',12);
vrsettab0('lote',10);
vrsettab0('nvdd',13);
vrsettab0('clac',49);

  
vrsettab0('crgo',4);
vrsettab0('agnt',4);
vrsettab0('cour',4);

vrsettab0('cret',4);
vrsettab0('bser',4);
vrsettab0('at10',4);

vrsettab0('at03',2);
vrsettab0('suco',2);
vrsettab0('tacr',2);

vrsettab0('rngo',4);
vrsettab0('mtvo',6);
vrsettab0('vhcl',7);
vrsettab0('airl',2);
vrsettab0('plak',7);
vrsettab0('nave',6);
vrsettab0('bldn',30);
vrsettab0('cntn',11);
vrsettab0('vinn',17);
vrsettab0('sntr',10);
vrsettab0('prmk',20);

vrsettab0('adrs',0);
vrsettab0('tlfn',0);
vrsettab0('mail',0);
  
vrsettab0('fono',0);
vrsettab0('imge',0);
vrsettab0('imgi',0);
vrsettab0('teki',0);
  
// return;
  
vrsettab0('modu',4);
vrsettab0('docu',4);
vrsettab0('atrz',10);
vrsettab0('atrd',10);
// *vrsettab0('atrz',37);
vrsettab0('at02',2);
vrsettab0('tico',2);
vrsettab0('tice',2);
vrsettab0('tcel',2);

vrsettab0('fpag',2);

vrsettab0('ppcd',11);
vrsettab0('pais',4);
vrsettab0('prvc',2);
vrsettab0('cdad',6);
vrsettab0('prrq',6);
vrsettab0('port',9);
vrsettab0('bcos',4);

// *vrsettab0('frds',8);
// return;

vrsettab0('ptoe',6);
vrsettab0('ptov',6);
// vrsettab0('ptor',6);
vrsettab0('caba',4);
vrsettab0('caja',6);
vrsettab0('ctab',6);
vrsettab0('bode',6);
vrsettab0('proc',6);

vrsettab0('ubik',4);
vrsettab0('mkna',4);
vrsettab0('krgo',4);

vrsettab0('tpro',4);
vrsettab0('csub',9);
vrsettab0('zsub',9);
vrsettab0('lsub',9);
vrsettab0('psub',9);
vrsettab0('dsub',9);
vrsettab0('asub',9);
// vrsettab0('bsub',9);
vrsettab0('zona',9);

// return;
  
vrsettab0('srie',6);
vrsettab0('attn',10);
// vrsettab0('vndd',10);
// vrsettab0('rcdd',10);
vrsettab0('mrca',4);
vrsettab0('mdlo',10);
vrsettab0('unid',4);
vrsettab0('umdd',4);
vrsettab0('rgsn',30);
// vrsettab0('pstc',8);
// vrsettab0('cour',4);

vrsettab0('clor',6);
vrsettab0('lado',2);
vrsettab0('tlla',2);
vrsettab0('tmno',2);
vrsettab0('kldd',6);

  
vrsettab0('item',13);
vrsettab0('enti',13);
  
  
}

// TABLAS TRANSACCIONES
if($tipo==1 or $tipo==9)
{
echo '<br>';
echo 'TRANSACCIONES : '. $cfg_empr;  

     
vrsettab1('opro');
vrsettab1('ppro');
     
     
vrsettab1('hcli');
vrsettab1('ride');
     
vrsettab1('acce');

// vrsettab1('lock');

vrsettab1('cont');

vrsettab1('vtas');
vrsettab1('comp');
// vrsettab1('cele');

  
vrsettab1('expo');
vrsettab1('impo');

vrsettab1('clie');
vrsettab1('carr');
vrsettab1('prov');
vrsettab1('comi');
vrsettab1('inve');
vrsettab1('infi');
// vrsettab1('tfin');
  
vrsettab1('prod');
// vrsettab1('proc');
 
vrsettab1('plan');
vrsettab1('acti');
vrsettab1('atvd');
  
// vrsettab0('suel',0);
// vrsettab0('susa',0);
   
vrsettab1('susa');
vrsettab1('nomi');
vrsettab1('nvdd');
vrsettab1('rolp');
vrsettab1('role');

vrsettab1('afij');
// vrsettab1('clte');
  
  
vrsettab1('caja');
vrsettab1('bcos');
vrsettab1('ctab');
vrsettab1('caba');

  
vrsettab1('retc');
vrsettab1('retp');
vrsettab1('retb');
vrsettab1('rete');

vrsettab1('guia');
vrsettab1('empl');
vrsettab1('dxco');
vrsettab1('dxpa');

  
// vrsettab1('cjte');
vrsettab1('flue');
// vrsettab1('cere');
//vrsettab1('reti');
  
vrsettab1('call');
vrsettab1('tket');
vrsettab1('roln');
// die('AQUI '.$tipo);

}

if($cfg_empr=='jwib')
{
//   vrsetview0('cong',6);
//   vrsetview0('bsqj',3);
//   vrsetview1('jwib');
//   vrsetview1('jwiv');

}  

// INDICES MAES.
if($tipo==2 or $tipo==9)
{
  echo '<br>';
  echo 'INDICES M : '. $cfg_empr;  

  $sql_tabl ='show full tables where Table_type="BASE TABLE"';
  $res_tabl=msql_query($sql_tabl,$link_vcrx);
  while($aso_tabl=msql_fetch_assoc($res_tabl)) 
  {
    $tabla=$aso_tabl['Tables_in_'.$cfg_dnam.'_'.$cfg_empr];
    if(strlen(trim($tabla))==5 and substr($tabla,4,1)=='0')
    {vrsetindx0(substr($tabla,0,4));}
  }
}

// INDICES TRANS.
if($tipo==3 or $tipo==9)
{
  echo '<br>';
  echo 'INDICES T : '. $cfg_empr;  

  $sql_tabl ='show full tables where Table_type="BASE TABLE"';
  $res_tabl=msql_query($sql_tabl,$link_vcrx);
  while($aso_tabl=msql_fetch_assoc($res_tabl)) 
  {
    $tabla=$aso_tabl['Tables_in_'.$cfg_dnam.'_'.$cfg_empr];
    if(strlen(trim($tabla))==5 and substr($tabla,4,1)=='1')
    {vrsetindx1(substr($tabla,0,4));}
  }
}

  
  
// VISTAS MAESTRAS
if($tipo==4 or $tipo==9)
{
echo '<br>';
echo 'VISTAS M : '. $cfg_empr;  

vrsetview0();
// vrsetview0('user');
}

// VISTAS TRANSACCIONES
if($tipo==4 or $tipo==9)
{
  echo '<br>';
  echo 'VISTAS T : '. $cfg_empr;  

  $sql_tabl ='show full tables where Table_type="BASE TABLE"';
  $res_tabl=msql_query($sql_tabl,$link_vcrx);
  while($aso_tabl=msql_fetch_assoc($res_tabl)) 
  {
    $tabla=$aso_tabl['Tables_in_'.$cfg_dnam.'_'.$cfg_empr];
    if(strlen(trim($tabla))==5 and substr($tabla,4,1)=='1')
    {vrsetview1(substr($tabla,0,4));}
  }
  
  vrsetview3();
}


// DEFAULT
if($tipo==6 or $tipo==9)
{
  echo '<br>';
  echo 'LISTAS M : '. $cfg_empr;  

  $sql_tabl ='show full tables where Table_type="BASE TABLE"';
  $res_tabl=msql_query($sql_tabl,$link_vcrx);
  while($aso_tabl=msql_fetch_assoc($res_tabl)) 
  {
    $tabla=$aso_tabl['Tables_in_'.$cfg_dnam.'_'.$cfg_empr];
    if(strlen(trim($tabla))==5 and substr($tabla,4,1)=='0')
    {vrsetlist(substr($tabla,0,4));}
  }
}

// DEFAULT
if($tipo==7 or $tipo==9)
{
  vrsetdefa();
}

// $sql_updt ='update empr0, enti0 set empr_cont=enti_obcon where empr_ruc=enti_codigo';
// $res_updt=msql_query($sql_updt,$link_vcrx);

  
$sql_updt ='update empr0 set empr_updated=now()';
$res_updt=msql_query($sql_updt,$link_vcrx);

?>
</div>
